SDL_MouseWheelEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID
SDL_MouseID | which
float | x
float | y
SDL_MouseWheelDirection | direction
float | mouse_x
float | mouse_y
Sint32 | integer_x
Sint32 | integer_y

## Detailed Description

Mouse wheel event structure (event.wheel.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 483 of file SDL_events.h.

## Field Documentation

## direction

SDL_MouseWheelDirection SDL_MouseWheelEvent::direction

Set to one of the SDL_MOUSEWHEEL_* defines. When FLIPPED the values in X and Y will be opposite. Multiply by -1 to change them back

Definition at line 492 of file SDL_events.h.

## integer_x

Sint32 SDL_MouseWheelEvent::integer_x

The amount scrolled horizontally, accumulated to whole scroll "ticks" (added in 3.2.12)

Definition at line 495 of file SDL_events.h.

## integer_y

Sint32 SDL_MouseWheelEvent::integer_y

The amount scrolled vertically, accumulated to whole scroll "ticks" (added in 3.2.12)

Definition at line 496 of file SDL_events.h.

## mouse_x

float SDL_MouseWheelEvent::mouse_x

X coordinate, relative to window

Definition at line 493 of file SDL_events.h.

## mouse_y

float SDL_MouseWheelEvent::mouse_y

Y coordinate, relative to window

Definition at line 494 of file SDL_events.h.

## reserved

Uint32 SDL_MouseWheelEvent::reserved

Definition at line 486 of file SDL_events.h.

## timestamp

Uint64 SDL_MouseWheelEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 487 of file SDL_events.h.

## type

SDL_EventType SDL_MouseWheelEvent::type

SDL_EVENT_MOUSE_WHEEL

Definition at line 485 of file SDL_events.h.

## which

SDL_MouseID SDL_MouseWheelEvent::which

The mouse instance id in relative mode or 0

Definition at line 489 of file SDL_events.h.

## windowID

SDL_WindowID SDL_MouseWheelEvent::windowID

The window with mouse focus, if any

Definition at line 488 of file SDL_events.h.

## x

float SDL_MouseWheelEvent::x

The amount scrolled horizontally, positive to the right and negative to the left

Definition at line 490 of file SDL_events.h.

## y

float SDL_MouseWheelEvent::y

The amount scrolled vertically, positive away from the user and negative toward the user

Definition at line 491 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h